Main Page Widgets Namespaces Book

# Gtk::TreeRowReference Class Reference
[TreeView Classes]

Typedefed as Gtk::TreeModel::RowReference. More...

List of all members.

## Public Methods

| TreeRowReference (const Glib::RefPtr<TreeModel> model, const TreeModel::Path& path)
| ~TreeRowReference ()
| operator bool ()
| The same as is_valid().
TreeModel::Path | get_path () const
| Returns a path that the row reference currently points to, or `0` if the path pointed to is no longer valid.
bool | is_valid () const
| Returns TRUE if the reference is non-NULL and refers to a current valid path.
GtkTreeRowReference* | gobj ()
const GtkTreeRowReference* | gobj () const

## Protected Attributes

GtkTreeRowReference* | gobject_

## Detailed Description

Typedefed as Gtk::TreeModel::RowReference.

This reference will keep pointing to the node pointed to by the Path, so long as it exists. It listens to all signals emitted by the Model, and updates its Path appropriately.

## Constructor & Destructor Documentation

Gtk::TreeRowReference::TreeRowReference | ( | const Glib::RefPtr<TreeModel> | model,
|  | const TreeModel::Path& | path
| ) |

Gtk::TreeRowReference::~TreeRowReference | ( |  | ) |

## Member Function Documentation

TreeModel::Path Gtk::TreeRowReference::get_path | ( |  | ) |

Returns a path that the row reference currently points to, or `0` if the path pointed to is no longer valid.

Returns:
  A current path, or `0`.

const GtkTreeRowReference* Gtk::TreeRowReference::gobj | ( |  | ) | const`[inline]`

GtkTreeRowReference* Gtk::TreeRowReference::gobj | ( |  | ) | `[inline]`

bool Gtk::TreeRowReference::is_valid | ( |  | ) |

Returns TRUE if the reference is non-NULL and refers to a current valid path.

Returns:
  TRUE if reference points to a valid path.

Gtk::TreeRowReference::operator bool | ( |  | ) |

| The same as is_valid().

## Member Data Documentation

GtkTreeRowReference* Gtk::TreeRowReference::gobject_`[protected]`

The documentation for this class was generated from the following file:

- treerowreference.h